foxtrotgps (1.2.2+bzr324-1+rpi1) bullseye-staging; urgency=medium

  * Apply patch from bts to support build with gpsd 10 (Closes: 977282)

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 09 Jan 2021 13:17:29 +0000

foxtrotgps (1.2.2+bzr324-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream snapshot.
    - Fixes FTBFS with GCC 10 (Closes: #957223)
    - Drop patches merged upstream
    - Use autogen.sh so intltoolize gets run
    - Add secondary tarballs for screenshots and bzr Changelog
    - Do necessary symlinking, building and cleanup due to snapshot
  * Add doc-base registration for the manual

  [ lintian-brush ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Paul Wise <pabs@debian.org>  Wed, 05 Aug 2020 23:32:54 +0800

foxtrotgps (1.2.2-2) unstable; urgency=medium

  [ Paul Wise ]
  * Add patch to fix build failure with gpsd 3.20 (Closes: #948393)

  [ lintian-brush ]
  * Update standards version to 4.4.1, no changes needed.
  * Use full URL to Launchpad in upstream Repository metadata field

 -- Paul Wise <pabs@debian.org>  Wed, 15 Jan 2020 14:11:29 +0800

foxtrotgps (1.2.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes building with libgps 3.18 (Closes: #926575)
  * Switch from debian/compat to debhelper-compat
  * Bump debhelper compat level to 12
  * Add Rules-Requires-Root: no
  * Bump Standards-Version
  * Remove Timo from Uploaders, not active on foxtrotgps
  * Enable bindnow hardening flag
  * Add python3-bs4 alternative to python3-beautifulsoup

 -- Paul Wise <pabs@debian.org>  Thu, 11 Jul 2019 11:52:27 +0800

foxtrotgps (1.2.1-1) unstable; urgency=medium

  * New upstream release
    - Switches from GConf to GSettings (Closes: #886082)
    - Fixes info documentation (Closes: #866393)
    - Uses Python 3 instead of Python 2, deps updated
  * Use https in various links
  * Use pgpmode=auto in watch file
  * Use new and more secure upstream OpenPGP signing key
  * Also remove screenshot eps files to ensure they get rebuilt
  * Drop -dbg package in favour of automatic -dbgsym package
  * Drop obsolete Debian menu in favour of freedesktop menu
  * Add missing suggests for Python scripts
  * Declare compliance with Policy 4.1.4
  * Bump debhelper compat to 11

 -- Paul Wise <pabs@debian.org>  Tue, 10 Apr 2018 10:39:03 +0800

foxtrotgps (1.2.0-1) unstable; urgency=medium

  * New upstream release
    - Fixes crash with new glib (Closes: #764794)
    - Fixes insufficient precision in log file (Closes: #719676)
  * Use upstream tarball OpenPGP signatures
  * Add some upstream metadata
  * Build everything from source

 -- Paul Wise <pabs@debian.org>  Fri, 24 Oct 2014 16:30:31 +0800

foxtrotgps (1.1.1-5) unstable; urgency=low

  * Adopt the package with Daniel's consent
  * Wrap and sort the control and menu files
  * Improve package descriptions
  * Add a watch file
  * Use the correct section in the menu file
  * Explain the lintian override
  * Only build with Bluetooth on Linux

 -- Paul Wise <pabs@debian.org>  Sun, 14 Apr 2013 10:28:57 +0800

foxtrotgps (1.1.1-4) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:26:31 +0100

foxtrotgps (1.1.1-3) unstable; urgency=low

  * Adding dpkg-source local options.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Dec 2012 21:33:56 +0100

foxtrotgps (1.1.1-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.
  * Trimming lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 29 Jun 2012 15:55:47 +0200

foxtrotgps (1.1.1-1) unstable; urgency=low

  * Merging upstream version 1.1.1.
  * Updating to standers version 3.9.3.
  * Updating copyright file to format 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 14 Jun 2012 07:23:27 +0200

foxtrotgps (1.1.0-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 1.1.0:
    - includes osb2tango and poi2osm (Closes: #647986).
  * Removing curl.patch, included upstream.
  * Updating to debhelper version 9.
  * Updating years in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 14 Feb 2012 06:13:28 +0100

foxtrotgps (1.0.1-4) unstable; urgency=low

  * Adding patch to remove obsolete curl headers to fix FTBFS (Closes:
    #638378).
  * Disabling automatic calling of the test target.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Aug 2011 19:14:24 +0200

foxtrotgps (1.0.1-3) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 13 Jul 2011 01:25:42 +0200

foxtrotgps (1.0.1-2) unstable; urgency=low

  * Compacting copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Jul 2011 17:08:38 +0200

foxtrotgps (1.0.1-1) unstable; urgency=low

  * Merging upstream version 1.0.1.
  * Removing po-fr.patch, included upstream.
  * Removing curl.patch, included upstream.
  * Updating to standards version 3.9.2.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 May 2011 11:21:12 +0200

foxtrotgps (1.0.0-5) unstable; urgency=low

  * Adding lintian-overrides for false-positive on missing Python
    depends.
  * Correcting spelling typo in previous changelog entry
    (s/Makeing/Making/).
  * Adding patch from upstream to fix segfault with curl (Closes:
    #617647).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Apr 2011 17:17:37 +0200

foxtrotgps (1.0.0-4) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Making packaging distribution neutral.
  * Rediffing po-fr.patch.
  * Improving comments in rules file.
  * Removing README.Debian, not useful anymore.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 12 Mar 2011 06:42:17 +0100

foxtrotgps (1.0.0-3) unstable; urgency=low

  * Upload to unstable.
  * Update French translation, included in upstream bzr (Closes: #606437)

 -- Timo Jyrinki <timo@debian.org>  Wed, 09 Mar 2011 17:47:20 +0200

foxtrotgps (1.0.0-2) experimental; urgency=low

  * Adding python-beautifulsoup and python-feedparser to suggests
    (Closes: #608954).
  * Switching to source format 3.0 (quilt).
  * Simplyfing autotools handling in rules.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jan 2011 13:49:06 +0100

foxtrotgps (1.0.0-1) experimental; urgency=low

  * Merging upstream version 1.0.0.
  * Removng desktop.patch, included upstream.
  * Removing convert2gpx.patch, included upstream.
  * Removing intltoolfix.patch, not needed anymore.
  * Removing gpsd.patch, included upstream.
  * Removing local manpages, included upstream.
  * Not installing contrib manually anymore, included automatically in
    upstream.
  * Updatng to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Removing squeeze transitional package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Oct 2010 09:06:39 +0200

foxtrotgps (0.99.4+debian3-3) unstable; urgency=medium

  * Adding updated gpsd.patch from Timo Juhani Lindfors
    <timo.lindfors@iki.fi>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Oct 2010 22:45:01 +0200

foxtrotgps (0.99.4+debian3-2) unstable; urgency=medium

  * Adding patch from Timo Juhani Lindfors <timo.lindfors@iki.fi> to fix
    problems with gpsd polling (Closes: #600471).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Oct 2010 22:03:37 +0200

foxtrotgps (0.99.4+debian3-1) unstable; urgency=low

  * Adding legacy symlinks to tangogps in transitional package.
  * Merging upstream version 0.99.4+debian3:
    - including updated georss2tangogps-poi from Paul Wise <pabs@debian.org>
      (Closes: #590036).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 23 Jul 2010 06:47:13 +0200

foxtrotgps (0.99.4+debian2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating standards version to 3.9.0.
  * Merging upstream version 0.99.4+debian2:
  * Updating packaging for tangogps to foxtrotgps replacing.

  [ Timo Jyrinki ]
  * Updating build-depends.
  * Adding patch to exclude foxtrotgps.glade.in to prevent FTBFS with
    'intltool-update -m' fails.

  [ Daniel Baumann ]
  * Workarounding wrong guessing of dh_auto_install wrt/ destdir and the
    transitional package.
  * Updating removal of useless files in rules.
  * Rediffing desktop.patch and extending it to also add German
    translation entries.
  * Adding Timo to uploaders.
  * Updating desktop.patch to also remove the bogus SingleInstance
    entry.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 15 Jul 2010 19:51:54 +0200

tangogps (0.99.4+debian-1) unstable; urgency=low

  * Merging upstream version 0.99.4+debian.
  * Removing gpsd.patch, included in upstream.
  * Adding builds-depends for new upstream version.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jun 2010 15:16:22 +0200

tangogps (0.99.3+debian-2) unstable; urgency=low

  * Adding patch from upstream to update gps functions to work with
    current gpsd versions (Closes: #573848).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Mar 2010 08:17:24 +0100

tangogps (0.99.3+debian-1) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 0.99.3+debian.
  * Updating year in copyright file.
  * Adding pixmap file.
  * Changing dh call to more common scheme.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 21 Feb 2010 12:53:17 +0100

tangogps (0.99.2+debian-1) unstable; urgency=low

  * Merging upstream version 0.99.2+debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 04 Dec 2009 08:32:10 +0100

tangogps (0.99.1+debian-1) unstable; urgency=low

  * Merging upstream version 0.99.1+debian (Closes: #557513).
  * Updating README.source.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 22 Nov 2009 15:48:27 +0100

tangogps (0.9.9+debian-1) unstable; urgency=low

  * Merging upstream version 0.9.9+debian.
  * Adding build-depends to libxml2-dev.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 06 Nov 2009 08:40:19 +0100

tangogps (0.9.8+debian-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Merging upstream version 0.9.8+debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 06 Nov 2009 08:24:18 +0100

tangogps (0.9.7+debian-2) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Simplifying autotools handling in rules.
  * Dropping LDFLAGS in rules.
  * Bumping versioned build-depends on quilt.
  * Sorting depends.
  * Adding maintainer homepage in copyright.
  * Adding README.source.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Oct 2009 09:59:40 +0200

tangogps (0.9.7-1) unstable; urgency=low

  * Minimizing rules file.
  * Merging upstream version 0.9.7+debian.
  * Local additions are now included in the repackaged upstream
    tarball (Closes: #538670).
  * Removing segfault-track.patch, went upstream.
  * Updating package to standards version 3.8.3.
  * Updating, sorting and wrapping build-depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 21 Sep 2009 20:29:19 +0200

tangogps (0.9.6-6) unstable; urgency=low

  * Correcting wrong email address in previous changelog entry.
  * Adding patch from Enrico Zini <enrico@debian.org> to fix segfault
    when loading an incomplete track log (Closes: #538149).
  * Upgrading package to standards version 3.8.2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 Jul 2009 17:02:10 +0200

tangogps (0.9.6-5) unstable; urgency=low

  * Correcting desktop file entries (Closes: #532369).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 09 Jun 2009 06:11:44 +0200

tangogps (0.9.6-4) unstable; urgency=low

  * Correcing accidentally misspelled name for local georss2tangogps-poi
    script.
  * Correcting line-break format for local georss2tangogps-poi script
    (Closes: #531441).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Jun 2009 17:23:57 +0200

tangogps (0.9.6-3) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Using more common directory name to store local additions.
  * Adding georss2angogps-poi script from Paul Wise <pabs@debian.org>
    (Closes: #530718).
  * Tidy rules file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 May 2009 13:55:45 +0200

tangogps (0.9.6-2) unstable; urgency=low

  * Upgrading package to standards 3.8.1.
  * Simplyfing binary-arch target definition in rules.
  * Adding patch from Pavel Zubkou <thegowr@gmail.com> to correct
    convert2gpx output (Closes: 521700).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 05 Apr 2009 10:59:00 +0200

tangogps (0.9.6-1) unstable; urgency=high

  * Merging upstream version 0.9.6:
    - Fixes buffer overflow in update_poi (Closes: #514217).
  * Adding libexif to build-depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Feb 2009 13:05:00 +0100

tangogps (0.9.5-1) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Sorting config.guess/config.sub handling in rules.
  * Passing flags to configure as arguments.
  * Merging upstream version 0.9.5.
  * Updating year in copyright file.
  * Adding longtitle and description in menu file.
  * Removing fr.dpatch, went upstream.
  * Using quilt rather than dpatch.
  * Updating date and version of tangogps in its manpage.
  * Removing upstreams default docs from destdir in install target of rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 20 Jan 2009 22:32:00 +0100

tangogps (0.9.3-2) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Removing config.guess and config.sub in clean target of rules.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Adding French translation from Steve Petruzzello <dlist@bluewin.ch>
    (Closes: #505585).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 15 Nov 2008 07:14:00 +0100

tangogps (0.9.3-1) unstable; urgency=low

  * Updating version number in tangogps manpage header.
  * Merging upstream version 0.9.3.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 31 Aug 2008 14:06:00 +0200

tangogps (0.9.2-2) unstable; urgency=medium

  * Avoid installing empty changelog file.
  * Adding simple manpages.
  * Adding convertion scripts from upstream (Closes: #496473).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Aug 2008 06:02:00 +0200

tangogps (0.9.2-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Jul 2008 11:31:00 +0200
